Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.transform.disassembler.xip
Class ExportImportContext

    java.lang.Object
      com.bea.netuix.application.transform.disassembler.xip.ExportImportContext

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  ExportContext, ImportContext

    public abstract class ExportImportContext

extends Object
implements Serializable

See Also
  Serialized Form

Field Summary
`static short` | `ADMIN_SCOPE`
`static Locale` | `DEFAULT_LOCALE`
`static short` | `LIBRARY_SCOPE`
`protected Locale` | `locale`
`protected short` | `scope`
`static short` | `VISITOR_SCOPE`

Constructor Summary
`ExportImportContext()`

Method Summary
`Locale` | `getLocale()`
`short` | `getScope()`
`void` | `setLocale(Locale locale)`
`void` | `setLocale(String language, String country, String variant)`
`void` | `setScope(short scope)` Changes can be scoped to the "library", "admin", or "visitor" when importing a .pinc, .book, or .page file, and "admin" or "visitor" when exporting a .portal file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LIBRARY_SCOPE

    public static final short LIBRARY_SCOPE

See Also
  Constants Summary

### ADMIN_SCOPE

    public static final short ADMIN_SCOPE

See Also
  Constants Summary

### VISITOR_SCOPE

    public static final short VISITOR_SCOPE

See Also
  Constants Summary

### DEFAULT_LOCALE

    public static final Locale DEFAULT_LOCALE

### scope

    protected short scope

### locale

    protected Locale locale

Constructor Detail

### ExportImportContext

    public ExportImportContext()

Method Detail

### getScope

    public short getScope()

### setScope

    public void setScope(short scope)

  Changes can be scoped to the "library", "admin", or "visitor" when importing a .pinc, .book, or .page file, and "admin" or "visitor" when exporting a .portal file. If this property has a value of "admin" or "visitor" then a xip.identifier.portal.path and xip.identifier.desktop.path must be specified. To scope exports to the "library" or "admin" you must be in the Admin or PortalSystemAdministrator Role. Set the scope of the changes.

  Parameters
    `scope` - One of LIBRARY_SCOPE, ADMIN_SCOPE, or VISITOR_SCOPE

### getLocale

    public Locale getLocale()

### setLocale

    public void setLocale(Locale locale)

### setLocale

    public void setLocale(String language,
                          String country,
                          String variant)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.